# Interface ISelectionValidator

All Known Implementing Classes:
  `CopyResourceAction, MoveResourceAction`

public interface ISelectionValidator
For validating selections in some selection dialogs.

Clients should implement this interface to define specialized selection validators.

## Method Summary

Modifier and Type
Method
Description
`String`
`isValid(Object selection)`
Returns a string indicating whether the given selection is valid.

## Method Details

### isValid

String isValid(Object selection)
Returns a string indicating whether the given selection is valid. If the result is `null`, the selection is considered to be valid; if the result is non-empty, it contains the error message to be displayed to the user.

Parameters:
  `selection` - the selection to be validated
Returns:
  the error message, or `null` indicating that the value is valid